package schedframe.resources.computing.profiles.energy.airthroughput;

import schedframe.resources.StandardResourceType;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.airthroughput.ui.AirThroughputInterface;
import schedframe.resources.computing.profiles.energy.airthroughput.ui.ComputingResourceAirThroughputInterface;
import schedframe.resources.devices.PhysicalResource;
import schedframe.resources.devices.DeviceAirThroughputInterface;
import schedframe.resources.devices.coolemall.FanAirThroughputInterface;

public class AirThroughputInterfaceFactory {
	
	public static AirThroughputInterface createAirThroughputInterface(PhysicalResource resource, AirThroughputProfile atp){
		if(atp == null)
			return null;
		AirThroughputInterface airThroughputInterface = null;
		if(resource.getType().getName().equals(StandardResourceType.CRAH.getName()))
			airThroughputInterface = new DeviceAirThroughputInterface(resource, atp);
		else if(resource.getType().getName().equals(StandardResourceType.Fan.getName()))
			airThroughputInterface = new FanAirThroughputInterface(resource, atp);
		else if(resource.getType().getName().equals(StandardResourceType.Inlet.getName()))
			airThroughputInterface = new FanAirThroughputInterface(resource, atp);
		else if(resource.getType().getName().equals(StandardResourceType.Outlet.getName()))
			airThroughputInterface = new FanAirThroughputInterface(resource, atp);
		else if(resource.getType().getName().equals(StandardResourceType.CoolingDevice.getName()))
			airThroughputInterface = new DeviceAirThroughputInterface(resource, atp);
		else
			airThroughputInterface = new ComputingResourceAirThroughputInterface((ComputingResource)resource, atp);
		return airThroughputInterface;
	}
}
